org.apache.maven.scm.provider.perforce.command.edit

## Class PerforceEditConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.edit.PerforceEditConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceEditConsumer
    extends AbstractPerforceConsumer
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: PerforceEditConsumer.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Mike Perham

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`output`

### Constructor Summary

Constructors
Constructor and Description
`PerforceEditConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getEdits()`
`String` `getErrorMessage()`
`boolean` `isSuccess()`

### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`getOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceEditConsumer

    public PerforceEditConsumer()

### Method Detail

#### getEdits

    public List getEdits()

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### isSuccess

    public boolean isSuccess()

#### getErrorMessage

    public String getErrorMessage()